#
# spec file for package perl-Gnome2-Vte
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gnome2-Vte
Version:        0.11
Release:        1.1
Summary:        Perl interface to the Virtual Terminal Emulation library
License:        LGPL-2.1
Group:          Development/Libraries/Perl
Url:            http://git.gnome.org/browse/perl-Gnome2-Vte/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  pkg-config
%if 0%{?suse_version} > 1140
BuildRequires:  vte2-devel
%else
BuildRequires:  pkgconfig(vte)
%endif
BuildRequires:  perl-Gtk2
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif
Requires:       perl-Gtk2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gnome2::Vte allows you to use the Virtual Terminal library (libvte for short) from Perl.

%package devel
Summary:        Development tools for perl-Gnome2-Vte library
Group:          Development/Libraries/Perl

%description devel
This package contains the header files and documentation necessary for the perl-Gnome2-Vte library.

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
install -d -m 755 %{buildroot}%{perl_vendorarch}/auto/Gnome2/Vte
cp -r blib/arch/auto/Gnome2/Vte/* %{buildroot}%{perl_vendorarch}/auto/Gnome2/Vte/
install -d -m 755 %{buildroot}%{perl_vendorarch}/Gnome2
cp -r blib/lib/Gnome2/Vte.pm %{buildroot}%{perl_vendorarch}/Gnome2/
install -d -m 755 %{buildroot}%{perl_vendorarch}/Gnome2/Vte
cp -r blib/lib/Gnome2/Vte/* %{buildroot}%{perl_vendorarch}/Gnome2/Vte/
install -d -m 755 %{buildroot}%{perl_vendorarch}/Gnome2/Vte/Install
cp -r blib/arch/Gnome2/Vte/Install/* %{buildroot}%{perl_vendorarch}/Gnome2/Vte/Install/
install -d -m 755 %{buildroot}%{_mandir}/man3
cp -r blib/man3/* %{buildroot}%{_mandir}/man3/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%dir %{perl_vendorarch}/auto
%dir %{perl_vendorarch}/auto/Gnome2
%dir %{perl_vendorarch}/auto/Gnome2/Vte
%dir %{perl_vendorarch}/Gnome2
%dir %{perl_vendorarch}/Gnome2/Vte
%{perl_vendorarch}/auto/Gnome2/Vte/Vte.bs
%{perl_vendorarch}/auto/Gnome2/Vte/Vte.so
%{perl_vendorarch}/Gnome2/Vte.pm
%{perl_vendorarch}/Gnome2/Vte/index.pod
%{perl_vendorarch}/Gnome2/Vte/main.pod
%{perl_vendorarch}/Gnome2/Vte/Terminal.pod

%files devel
%defattr(-,root,root,0755)
%dir %{perl_vendorarch}/Gnome2/Vte/Install
%doc ChangeLog.pre-git LICENSE README NEWS MANIFEST
%{perl_vendorarch}/Gnome2/Vte/Install/Files.pm
%{perl_vendorarch}/Gnome2/Vte/Install/vte2perl-autogen.h
%{perl_vendorarch}/Gnome2/Vte/Install/vte2perl.h
%{perl_vendorarch}/Gnome2/Vte/Install/vte2perl.typemap
%{perl_vendorarch}/Gnome2/Vte/Install/vte2perl-version.h
%{_mandir}/man3/Gnome2::Vte.3pm.gz
%{_mandir}/man3/Gnome2::Vte::index.3pm.gz
%{_mandir}/man3/Gnome2::Vte::main.3pm.gz
%{_mandir}/man3/Gnome2::Vte::Terminal.3pm.gz

%changelog
* Thu Nov  7 2013 i@marguerite.su
- update version 0.11
  * RT#89113 - Use v2 of CPAN::Meta::Spec in Makefile.PL;
    this adds the "nice bits" to MetaCPAN (git clone URL,
    project homepage URL, etc.)
* Thu Nov  3 2011 05:55:15 UTC - i@marguerite.su
- fixed Makefile time error
- fixed vte-devel error
* Thu Nov  3 2011 05:04:32 UTC - i@marguerite.su
- initial package 0.09
